| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Namespaces | Classes | Functions
Package IG.Forms

## Namespaces
package | Properties
package | Test

## Classes
class | AlignmentControl
| Control for setting horizontal and vertical alignment of items. More...
class | AlignmentControlOld
| Control for adjusting alignment. More...
class | AlignmentTestForm
| Test form, used only to test if control can be inclded in the form.. More...
class | AppTestForms
| Test application for forms. Usage: AppTestForms.Init(). More...
class | BrowserFormOld
class | BrowserSimpleControl
class | BrowserSimpleWindow
class | ConsoleForm
| Summary description for ConsoleForm. More...
class | FadeMessage
| Summary description for FadeMessage. More...
class | FadingMessage
| Manages a fading message window. Windows containing a message are launched in separate threads, closing after a specified time. More...
class | FaidMessage1
| Summary description for FaidMessage1. More...
class | GraphWindowTemplate_Old
| Form used for plots. More...
class | HashGeneratorControl
class | HashGeneratorForm
interface | IClosableFromContainedForm
| Marker interface indicating that a form can be closed from the contained control. More...
class | IGForm
| Summary description for FaidMessage1. More...
class | igforms_test
| A strongly-typed resource class, for looking up localized strings, etc.
interface | IReporterConsoleForm
interface | IReporterFadeMessage
interface | IReporterMessageBox
interface | IReporterSpeech
class | MessageBoxLauncher
| An exemple form that launches various message boxes. More...
class | ReporterConf
| Reporter configuration. More...
class | ReporterConsoleMsgbox
class | ReporterConsoleMsgbox_Base
| Base class for reporter classes that contain either reporting via system console, reporting via message box, or both. More...
class | ReporterForms
| Reporting system that in particular utilizes forms. Beside the main delegates for assembling location and message strings, this class has three additional delegates for each kind of reporting (i.e. reporting with console consform, message box, fading message or console) More...
class | ReporterMsgbox
class | ReportMsg_Examples
class | ScalarFunctionEvaluatorControl
| Control for test evaluation of scalar functions. More...
class | ScalarFunctionEvaluatorWindow
| Control for test evaluation of scalar functions. More...
class | ScalarFunctionScriptControl
| Control for definition of scalar functions by user defined expressions (through script loader). More...
class | ScalarFunctionScriptWindow
| Window for definition of scalar functions by user defined expressions (through script loader). More...
class | TestControl
| Test control. More...
class | TestForm
| Test form. More...
class | TestIgforms
class | UtilForms
| Various forms utilities. More...
class | WindowPositioner
| Takes care of windows positioning, relative of absolute to the screen and/or other windows. More...
class | WindowPositionerControl
| Control for testing window positioning. More...
class | WindowPositionerForm
| Windows form for testing window positioning./summary> $A Igor xx Oct09; More...
class | WindowShiftControlNumeric
| Control for setting window positions, relative positions, sizes, positions, shifts, etc. More...
class | WindowShiftControlText
| Control for setting window positions, relative positions, sizes, positions, shifts, etc. More...
class | XMLTestPath
class | XMLTreeView
| Summary description for XMLTreeView. More...

## Functions
delegate void | VoidDelegate ()
| Summary description for FaidMessage1. More...
delegate void | FormDelegate (Form f)
| Reference to a function without arguments & return value. More...
delegate void | ControlDelegate (Control ct)

## Function Documentation

delegate void IG.Forms.VoidDelegate | ( |  | ) |

Summary description for FaidMessage1.

Referenced by IG.Forms.FadingMessage.CloseForm(), IG.Forms.ConsoleForm.CloseForm(), IG.Forms.ReporterConf.CloseForm(), IG.Forms.ConsoleForm.FinalizeReading(), IG.Forms.ConsoleForm.HideInput(), IG.Forms.XMLTreeView.LoadFileToListBox(), IG.Forms.XMLTreeView.LoadFileToTextBox(), IG.Forms.XMLTreeView.ParseFileToTreeView(), IG.Forms.ConsoleForm.PrepareForReading(), IG.Forms.ConsoleForm.Read(), IG.Forms.ConsoleForm.ReadDouble(), IG.Forms.ConsoleForm.ReadLine(), IG.Forms.ConsoleForm.ReadLong(), IG.Forms.ConsoleForm.ReadString(), IG.Forms.ConsoleForm.ShowInput(), IG.Forms.ConsoleForm.UpdateOutSettings(), IG.Forms.ConsoleForm.UpdateSettings(), and IG.Forms.ConsoleForm.WriteOutput().

delegate void IG.Forms.FormDelegate | ( | Form | f | ) |

Reference to a function without arguments & return value.

delegate void IG.Forms.ControlDelegate | ( | Control | ct | ) |

Referenced by IG.Forms.ReporterConf.ConsoleForm_Load(), IG.Forms.FadingMessage.FadeMessage_Load(), and IG.Forms.ReporterConf.ReporterConf_Load().